from ansys.mapdl.core import launch_mapdl
from ansys.dpf import post
import numpy as np
import sys,os

def runandsolve(mapdl,path):
    #mapdl = launch_mapdl(run_location=rundir,override=True)
    mapdl.finish()
    mapdl.clear()
    mapdl.input(path)
    mapdl.run('/solu')
    mapdl.ematwrite('yes')
    mapdl.solve()

def matrix_export(mapdl,kname='kmat',fname='fmat'): 
    mapdl.finish()
    mapdl.run('*smat,vks,d,import,full,file.full,stiff')
    mapdl.run('*dmat,f,d,import,full,file.full,rhs')
    mapdl.run('*smat,usr2solv,d,import,full,file.full,usr2solv')
    mapdl.run('*dim,snums,,usr2solv_rowdim')
    mapdl.run('*vfill,snums(1),ramp,1,1')

    mapdl.run('*vec,vsnums,d,import,apdl,snums')
    mapdl.run('*mult,usr2solv,tran,vsnums,,vmap')
    runstr = '*export,vks,mmf,' + kname + '.mmf'
    mapdl.run(runstr)
    runstr = '*export,f,mmf,' + fname + '.mmf'
    mapdl.run(runstr)
    mapdl.run('*export,vmap,csv,vmap.csv')
   

